All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.strategies.remotefile2
Class HttpSearchStrategy

    com.sas.actionprovider.strategies.remotefile2.HttpSearchStrategy

All Implemented Interfaces:
  ActionStatusKeysInterface, ActionStrategyInterface

    public class HttpSearchStrategy

Add one sentence class summary here. Add class description here.

Field Summary
`static java.lang.String` | `URL_TEMPLATE`

Fields inherited from class com.sas.actionprovider.strategies.remotefile2.BaseSearchStrategy
`REMOTE_MODEL, SEARCH_ATTRIBUTES`

Fields inherited from class com.sas.actionprovider.strategies.remotefile2.BaseRemoteFileStrategy
`MODEL, SORT_MODEL, VIEWER`

Fields inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`TEMPLATE_DELIMITER`

Fields inherited from interface com.sas.actionprovider.ActionStatusKeysInterface
`AREA_DISABLED, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, UNSUPPORTED, VIEWER_DISABLED`

Constructor Summary
`HttpSearchStrategy()` Default constructor.
`HttpSearchStrategy(boolean swing, RemoteFileActionUtil util)` Constructor for specifying type ( swing/http ) of strategy object.

Method Summary
`protected void` | `initialize()` Initialize this strategy object.
`protected void` | `initializeActionAttributes(BaseAction action, java.lang.String areaType, java.util.Locale locale)` Initializes the Action with all its default attributes, default AttributeDescriptor property settings and default values for non-locale-dependent attributes.
`void` | `setLocaleDependentDefaultAttributes(BaseAction action, java.lang.String areaType, java.util.Locale locale)` Sets the Action's default locale dependent attribute values.

Methods inherited from class com.sas.actionprovider.strategies.remotefile2.BaseRemoteFileStrategy
`addDynamicValueInfo, setUtilObject`

Methods inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`addDynamicValueInfo, addDynamicValueInfo, getActionStatus, getCustomAttributeValue, getDynamicValue, getUtilObject, initializeAction, isSwing, setActionAttributes, setSwing`

Field Detail

### URL_TEMPLATE

    public static final java.lang.String URL_TEMPLATE

See Also:
  Constant Field Values

Constructor Detail

### HttpSearchStrategy

    public HttpSearchStrategy()

  Default constructor. Calls the other constructor for specifying strategy type.

### HttpSearchStrategy

    public HttpSearchStrategy(boolean swing,
                              RemoteFileActionUtil util)

  Constructor for specifying type ( swing/http ) of strategy object.

  Parameters:
    `swing` - boolean indicating whether the strategy will be used in a swing environment. If false, the strategy is http type.

Method Detail

### initializeActionAttributes

    protected void initializeActionAttributes(BaseAction action,
                                              java.lang.String areaType,
                                              java.util.Locale locale)

  Initializes the Action with all its default attributes, default AttributeDescriptor property settings and default values for non-locale-dependent attributes. values.

  Overrides:
    `initializeActionAttributes` in class `BaseRemoteFileStrategy`
  Parameters:
    `action` - The instance of the Action to be initialized.
    `areaType` - The areaType of the Viewer where the Action will be presented.
    `locale` - The locale

### setLocaleDependentDefaultAttributes

    public void setLocaleDependentDefaultAttributes(BaseAction action,
                                                    java.lang.String areaType,
                                                    java.util.Locale locale)

  Sets the Action's default locale dependent attribute values.

  Specified by:
    `setLocaleDependentDefaultAttributes` in interface `ActionStrategyInterface`
  Overrides:
    `setLocaleDependentDefaultAttributes` in class `BaseActionStrategy`
  Parameters:
    `action` - The instance of the Action to be initialized.
    `locale` - The locale
    `areaType` - The areaType of the Viewer where the Action will be presented.

### initialize

    protected void initialize()

  Description copied from class: `BaseSearchStrategy`

  Initialize this strategy object.

  Via the `BaseRemoteFileStrategy.addDynamicValueInfo(java.lang.String, java.lang.String, java.lang.String)` method, this method registers the information for dynamic values that are available in all OLAP areas:

  - `com.sas.actionprovider.strategies.remotefile2.RemoteFileDynamicValueKeys#MODEL`
  - `com.sas.actionprovider.strategies.remotefile2.RemoteFileDynamicValueKeys#PATH`

  Overrides:
    `initialize` in class `BaseSearchStrategy`
  See Also:
    `#setReturnStatus`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.